#
# spec file for package gpsk31 (Version 0.2.4a)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake glib glib-devel gpp gtk gtk-devel libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gpsk31
Copyright:    GPL
Group:        X11/Applications/Hamradio
Provides:     gpsk31
Obsoletes:    psk31
Autoreqprov:  on
Version:      0.2.4a
Release:      141
Source:	      ftp://metalab.unc.edu/pub/Linux/apps/ham/%{name}-%{version}.tar.gz
Patch:	      %{name}-%{version}.dif
#URL:          http://www.foo.org/
BuildRoot:    /var/tmp/%{name}-root
Summary:      PSK31 with GTK+ Frontend

%description
PSK31 for Linux with a GTK+ Interface. Uses DL9RDZ's new PSK31
Implementation (0.75).

Authors:
--------
    Hansi Reiser, DL9RDZ <dl9rdz@amsat.org>
    Luc Langehegermann, LX2GT <lx2gt@qsl.net>

SuSE series: ham

%prep
%setup
%patch

%build
%define prefix   /usr
%define sysconfdir /etc
CFLAGS="$RPM_OPT_FLAGS"
./configure --mandir={_mandir} \
            --prefix=%{prefix} \
	    --bindir=%{prefix}/X11R6/bin \
	    --libexecdir=%{prefix}/lib \
	    --datadir=%{prefix}/share \
	    --sysconfdir=%{sysconfdir}
make

%install
%define INSTALL_DIR install -d -m755
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make prefix=$RPM_BUILD_ROOT%{prefix} \
     bindir=$RPM_BUILD_ROOT%{prefix}/X11R6/bin \
     sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
     libexecdir=$RPM_BUILD_ROOT%{prefix}/lib \
     datadir=$RPM_BUILD_ROOT%{prefix}/share \
     install

%files
%doc AUTHORS COPYING ChangeLog INSTALL README TODO 
%{prefix}/X11R6/bin/gpsk31
%config(noreplace)/usr/share/gpsk31/gpsk31.conf
%config(noreplace)/usr/share/gpsk31/psk31.cod

%changelog -n gpsk31
* Thu Apr 05 2001 - schwab@suse.de
- Fix missing declarations.
* Sat Dec 02 2000 - ka@suse.de
- update tp version 0.2.4a
- fixed group to X11/Applications/Hamradio
- new version provides global configuration file under /usr/share/gpsk31
  which can be overridden by user file under ~/.gpsk31/*
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Applications/Hamradio
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Tue May 16 2000 - ka@suse.de
- initial release 0.2.3
